#include "resources.hpp"

Resources::Resources() :
	pLock(new ResourceLock())
{
	std::cout << "Ctor resources" << std::endl;
}

Resources::~Resources()
{

}

void Resources::print(const int& number)
{
	// threadsafe usage of resources
	
	pLock->lock();

	std::cout << "resources in use" << std::endl;
	std::cout << "printing number: " << number << std::endl;

	pLock->unlock();
}

